package com.dlc.chemical.camera

/**
 * info
 *
 * @author ReiChin_
 */
interface ISafetyCheck {

    fun registerMediaResultListener(listener: OnMediaResultListener?)

    fun initCamera()

    fun capture()

    fun stopRecording() {}

    fun releaseCamera()

    fun cancel()
}

interface OnMediaResultListener {

    fun onMedia(filepath: String?, mediaType: MediaType, timeout: Boolean)

    fun onError(message: String?)

}

enum class MediaType {
    PICTURE, VIDEO
}